%define name portsentry
%define version 1.1
%define release 3mdk

Name:		%{name}
Summary:	Psionic PortSentry
Version:	%{version}
Release:	%{release}
License:	see LICENSE
Distribution:	Mandrake Linux
Group:		System/Servers
URL:		http://www.psionic.com
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Patch0:		%{name}-%{version}-confmdk.patch.bz2
Patch1:		%{name}-%{version}-fhs.patch.bz2
Patch2:		%{name}-%{version}-dns.patch.bz2
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
PortSentry is part of the Abacus Project suite of tools. The Abacus 
Project is an initiative to release low-maintenance, generic, and reliable
host based intrusion detection software to the Internet community. More
information can be obtained from http://www.psionic.com.  PortSentry
monitors TCP and UDP ports for illegal entry and port scans.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%patch0 -p1 -b .mdk
%patch1 -p1 -b .fhs


%build
%serverbuild
make linux CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/var/portsentry
make install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp portsentry $RPM_BUILD_ROOT/usr/sbin

cat << EOF >> $RPM_BUILD_ROOT%{_sysconfdir}/portsentry/always_ignore
# Include the host IP addresses you want portsentry to always ignore

EOF

cat << EOF >> $RPM_BUILD_ROOT%{_sysconfdir}/portsentry/portsentry.modes
# These are the startup modes for portsentry.
#
# Normal TCP/UDP scanning:
#tcp
#udp
#
# Steal TCP/UDP scanning:
#stcp
#sudp
#
# Advanced Stealth TCP/UDP scanning:
atcp
audp
EOF

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/portsentry

%post
%_post_service portsentry

%preun
%_preun_service portsentry

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
#rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc CHANGES CREDITS LICENSE README.*
%{_sbindir}/portsentry
%config(noreplace) %{_initrddir}/portsentry
%config(noreplace) %{_sysconfdir}/portsentry/portsentry.ignore
%config(noreplace) %{_sysconfdir}/portsentry/portsentry.conf
%config(noreplace) %{_sysconfdir}/portsentry/portsentry.modes
%config(noreplace) %{_sysconfdir}/portsentry/always_ignore
%attr(700,root,root) /var/portsentry

%changelog
* Thu Sep 13 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.1-3mdk
- Fixed permissions for init script.

* Mon Aug 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.1-2mdk
- Removed port UDP/1 from config file (Patch2).

* Fri Jul 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.1-1mdk
- 1.1
- Fixed Distribution tag
- s/Copyright/License
- Removed %dir
- s/%buildroot/$RPM_BUILD_ROOT

* Tue May 29 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0-9mdk
- change config file to default use iptables, not ipchains

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.0-8mdk
- initscripts make a config/noreplace file
- use new server macros

* Thu Mar  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0-7mdk
- add new config file: portsentry.modes; this defines the modes to start
  portsentry with
- set the default to atcp/audp for advanced stealth scanning (for some reason
  normal tcp/udp scanning causes the CPU to stay steady around 80%!?!?)

* Fri Feb 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0-6mdk
- the initscript was looking for functions in /etc/init.d not
  /etc/rc.d/init.d

* Thu Feb 01 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0-5mdk
- use some redhat patches for FHS compliance, include redhat's initscript
- remove ignore.csh since that is taken care of in the initscript
- modified initscript to use /etc/portsentry/always_ignore

* Sat Dec 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0-4mdk
- patch to ignore.csh to read /etc/portsentry/always_ignore so you no longer
  need to edit ignore.csh itself
- move config files to /etc/portsentry from /etc

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0-3mdk
- macros

* Thu Apr 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.0-2mdk
- fix specfile for spec-helper
- fix group
- patch to ignore.csh for proper paths to config files

* Thu Dec 2 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used the srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Wed Dec 1 1999 Vincent Danen <vdanen@linux-mandrake.com> 1.0-1mdk
- updated specfile for Mandrake contribs
- bzip sources
- 1.0:
-  - NeverBlock() function fixed.
-  - Updated docs.
-  - Y2K fix in WriteBlocked functions.

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote patches to source files, now we can use pristine source

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file
- removed original source (you can grab it from Psionic's website anyway)

* Mon Sep 6 1999 Vincent Danen <vdanen@softhome.net>
- fixed paths in portsentry.conf
- updated spec file
- changed release number to *mdk to indicate Mandrake compliance
- Mandrake adaptions

* Sun Sep 5 1999 Vincent Danen <vdanen@softhome.net>
- adapted Makefile, portsentry-config.h, and ignore.csh to work with RPM
- wrote spec file
- included original source (unmodified)
